Subject: Re: Allow git alias to override existing Git commands

From: Jeremy Morton <[email-masked]>
Date: Tue, 10 Nov 2015 20:04:46 +0000

On 10/11/2015 18:12, Stefan Beller wrote:
> On Tue, Nov 10, 2015 at 8:31 AM, Jeremy Morton<[email-masked]>  wrote:
>> It's recently come to my attention that the "git alias" config functionality
>> ignores all aliases that would override existing Git commands.  This seems
>> like a bad idea to me.
>
> This ensures that the plumbing commands always work as expected.
> As scripts *should* only use plumbing commands, the scripts should
> work with high probability despite all the crazy user configuration/aliases.
>

I just disagree with this.  If a user chooses to override their Git 
commands, it's their problem.  Why should Git care about this?  It 
should provide the user with the option to do this, and if the user 
ruins scripts because of their aliases, it is not Git's problem.  What 
you are doing is taking away power from users to use git aliases to 
their full potential.

-- 
Best regards,
Jeremy Morton (Jez)